Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.expr
Class DefaultXPathExpr

    java.lang.Object
      org.jaxen.expr.DefaultXPathExpr

All Implemented Interfaces:
  Serializable, XPathExpr

Deprecated. this class will become non-public in the future; use the interface instead

public class DefaultXPathExpr
extends Object
implements XPathExpr

See Also:
  Serialized Form

Constructor Summary
`DefaultXPathExpr(Expr rootExpr)` Deprecated.

Method Summary
`List` | `asList(Context context)` Deprecated.
`Expr` | `getRootExpr()` Deprecated.
`String` | `getText()` Deprecated.
`void` | `setRootExpr(Expr rootExpr)` Deprecated.
`void` | `simplify()` Deprecated.
`String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultXPathExpr

    public DefaultXPathExpr(Expr rootExpr)

  Deprecated.

Method Detail

### getRootExpr

    public Expr getRootExpr()

  Deprecated.
  Specified by:
    `getRootExpr` in interface `XPathExpr`

### setRootExpr

    public void setRootExpr(Expr rootExpr)

  Deprecated.
  Specified by:
    `setRootExpr` in interface `XPathExpr`

### toString

    public String toString()

  Deprecated.

### getText

    public String getText()

  Deprecated.
  Specified by:
    `getText` in interface `XPathExpr`

### simplify

    public void simplify()

  Deprecated.
  Specified by:
    `simplify` in interface `XPathExpr`

### asList

    public List asList(Context context)
                throws JaxenException

  Deprecated.
  Specified by:
    `asList` in interface `XPathExpr`
  Throws:
    `JaxenException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.